Bug 175856 - editors/libreoffice 3.6.5 fails to build on amd64 9.1
Summary: editors/libreoffice 3.6.5 fails to build on amd64 9.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: FreeBSD Office Team (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-02-05 09:20 UTC by Kurt Jaeger
Modified: 2013-02-08 01:00 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Kurt Jaeger 2013-02-05 09:20:08 UTC
full build log at http://opsec.eu/backup/lo-build
	
/usr/bin/ld: cannot find -ljawt
clang++: error: linker command failed with exit code 1 (use -v to see invocation)
gmake[2]: *** [/tmp/lobuild/workdir/unxfbsd.pro/LinkTarget/Library/libofficebean.so] Error 1

Fix: 

none known
How-To-Repeat: 	cd /usr/ports/editors/libreoffice
	make
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2013-02-05 13:19:38 UTC
Responsible Changed
From-To: freebsd-ports-bugs->office

Fix synopsis and assign.
Comment 2 Kurt Jaeger 2013-02-05 17:49:31 UTC
Hi!

Still fails, now without JAVA.

http://opsec.eu/backup/lo-build4

# This file is auto-generated by 'make config'.
# Options for libreoffice-3.6.5
_OPTIONS_READ=libreoffice-3.6.5
_FILE_COMPLETE_OPTIONS_LIST=CPPUNIT CUPS DEBUG GNOME GTK2 GTK3 JAVA KDE4 MERGELIBS MMEDIA PGSQL SDK SVG SYSTRAY WEBDAV
OPTIONS_FILE_UNSET+=CPPUNIT
OPTIONS_FILE_UNSET+=CUPS
OPTIONS_FILE_UNSET+=DEBUG
OPTIONS_FILE_UNSET+=GNOME
OPTIONS_FILE_UNSET+=GTK2
OPTIONS_FILE_UNSET+=GTK3
OPTIONS_FILE_UNSET+=JAVA
OPTIONS_FILE_SET+=KDE4
OPTIONS_FILE_SET+=MERGELIBS
OPTIONS_FILE_SET+=MMEDIA
OPTIONS_FILE_UNSET+=PGSQL
OPTIONS_FILE_SET+=SDK
OPTIONS_FILE_SET+=SVG
OPTIONS_FILE_UNSET+=SYSTRAY
OPTIONS_FILE_SET+=WEBDAV


-- 
pi@opsec.eu            +49 171 3101372                         7 years to go !
Comment 3 dfilter service freebsd_committer 2013-02-08 00:50:10 UTC
Author: jkim
Date: Fri Feb  8 00:50:00 2013
New Revision: 311893
URL: http://svnweb.freebsd.org/changeset/ports/311893

Log:
  - Fix build with Java option. [1]
  - Work around a build issue when Python was built with PTH option. [2]
  - Mark GTK3 option as broken.  Now LibreOffice wants GTK+ 3.2 and later. [3]
  - Fix build with SDK option.
  - Add bash completion for LibreOffice.
  
  PR:		ports/175856 [1]
  Reported by:	Frederic POLIAKOFF <fpoliakoff@free.fr> [2]
  Reported by:	awarecons@gmail.com [3]

Added:
  head/editors/libreoffice/files/patch-odk__pack__gendocu__makefile.mk   (contents, props changed)
Modified:
  head/editors/libreoffice/Makefile
  head/editors/libreoffice/distinfo
  head/editors/libreoffice/files/patch-configure.in

Modified: head/editors/libreoffice/Makefile
==============================================================================
--- head/editors/libreoffice/Makefile	Fri Feb  8 00:17:38 2013	(r311892)
+++ head/editors/libreoffice/Makefile	Fri Feb  8 00:50:00 2013	(r311893)
@@ -2,7 +2,7 @@
 
 .include "${.CURDIR}/Makefile.common"
 
-PORTREVISION=	0
+PORTREVISION=	1
 
 MASTER_SITE_SUBDIR=	src/${PORTVERSION}/
 MASTER_SITES+=	http://dev-www.libreoffice.org/src/:src \
@@ -109,7 +109,9 @@ CONFIGURE_ENV=		BDB_INCLUDE_DIR=${BDB_IN
 			BDB_LIB_NAME=${BDB_LIB_NAME} \
 			BDB_LIB_CXX_NAME=${BDB_LIB_CXX_NAME} \
 			DMAKE=${LOCALBASE}/bin/dmake \
-			GPERF=${LOCALBASE}/bin/gperf
+			GPERF=${LOCALBASE}/bin/gperf \
+			PYTHON_CFLAGS="`${PYTHON_VERSION}-config --cflags`" \
+			PYTHON_LIBS="`${PYTHON_VERSION}-config --libs`"
 
 CONFIGURE_ARGS+=	--with-unix-wrapper="libreoffice" \
 			--disable-fetch-external \
@@ -168,7 +170,7 @@ CONFIGURE_ARGS+=	--with-unix-wrapper="li
 			--disable-zenity \
 			--enable-graphite \
 			--with-system-graphite \
-			--enable-gio  \
+			--enable-gio \
 			--disable-nsplugin \
 			--disable-linkoo \
 			--disable-online-update \
@@ -179,8 +181,7 @@ CONFIGURE_ARGS+=	--with-unix-wrapper="li
 			--enable-python=system
 
 # extensions
-CONFIGURE_ARGS+=	--enable-ext-pdfimport \
-			--enable-ext-report-builder
+CONFIGURE_ARGS+=	--enable-ext-pdfimport
 #			--enable-extra-gallery \
 #			--enable-extra-template \
 #			--enable-extra-sample \
@@ -251,6 +252,7 @@ CONFIGURE_ARGS+=	--disable-gtk
 .endif
 
 .if ${PORT_OPTIONS:MGTK3}
+BROKEN=		requires GTK+ 3.2 and later
 USE_GNOME+=	gtk30 desktopfileutils
 INSTALLS_ICONS=	yes
 CONFIGURE_ARGS+=	--enable-gtk3
@@ -282,53 +284,50 @@ CONFIGURE_ARGS+=	--disable-gconf --disab
 .endif
 
 .if ${PORT_OPTIONS:MJAVA}
+# XXX jni.h from GNU classpath causes ABI conflicts.
+CONFLICTS_BUILD=	classpath-[0-9]*
 #additionnal distfiles needed for java
-DISTFILES+=	798b2ffdc8bcfe7bca2cf92b62caf685-rhino1_5R5.zip:src \
-		17410483b5b5f267aa18b7e00b65e6e0-hsqldb_1_8_0.zip:src \
+DISTFILES+=	17410483b5b5f267aa18b7e00b65e6e0-hsqldb_1_8_0.zip:src \
 		2a177023f9ea8ec8bd00837605c5df1b-jakarta-tomcat-5.0.30-src.tar.gz:src \
-		48d8169acc35f97e05d8dcdfd45be7f2-lucene-2.3.2.tar.gz:src \
-		a7983f859eafb2677d7ff386a023bc40-xsltml_2.1.2.zip:src \
-		ada24d37d8d638b3d8a9985e80bc2978-source-9.0.0.7-bj.zip:src \
-		eeb2c7ddf0d302fba4bfc6e97eac9624-libbase-1.1.6.zip:src \
+		2ae988b339daec234019a7066f96733e-commons-lang-2.3-src.tar.gz:src \
+		2c9b0f83ed5890af02c0df1c1776f39b-commons-httpclient-3.1-src.tar.gz:src \
+		3404ab6b1792ae5f16bbd603bd1e1d03-libformula-1.1.7.zip:src \
 		35c94d2df8893241173de1d16b6034c0-swingExSrc.zip:src \
-		39bb3fcea1514f1369fcfc87542390fd-sacjava-1.3.zip:src \
-		97b2d4dba862397f446b217e2b623e71-libloader-1.1.6.zip:src \
-		d8bd5eed178db6e2b18eeed243f85aa8-flute-1.1.6.zip:src \
 		3c219630e4302863a9a83d0efde889db-commons-logging-1.1.1-src.tar.gz:src \
-		f94d9870737518e3b597f9265f4e9803-libserializer-1.1.6.zip:src \
-		3404ab6b1792ae5f16bbd603bd1e1d03-libformula-1.1.7.zip:src \
 		3bdf40c0d199af31923e900d082ca2dd-libfonts-1.1.6.zip:src \
-		ace6ab49184e329db254e454a010f56d-libxml-1.1.7.zip:src \
+		39bb3fcea1514f1369fcfc87542390fd-sacjava-1.3.zip:src \
+		798b2ffdc8bcfe7bca2cf92b62caf685-rhino1_5R5.zip:src \
 		8ce2fcd72becf06c41f7201d15373ed9-librepository-1.1.6.zip:src \
+		97b2d4dba862397f446b217e2b623e71-libloader-1.1.6.zip:src \
+		a7983f859eafb2677d7ff386a023bc40-xsltml_2.1.2.zip:src \
+		ace6ab49184e329db254e454a010f56d-libxml-1.1.7.zip:src \
+		ada24d37d8d638b3d8a9985e80bc2978-source-9.0.0.7-bj.zip:src \
+		af3c3acf618de6108d65fcdc92b492e1-commons-codec-1.3-src.tar.gz:src \
+		ba2930200c9f019c2d93a8c88c651a0f-flow-engine-0.9.4.zip:src \
+		d8bd5eed178db6e2b18eeed243f85aa8-flute-1.1.6.zip:src \
 		db60e4fde8dd6d6807523deb71ee34dc-liblayout-0.2.10.zip:src \
-		ba2930200c9f019c2d93a8c88c651a0f-flow-engine-0.9.4.zip:src
+		ea570af93c284aa9e5621cd563f54f4d-bsh-2.0b1-src.tar.gz:src \
+		eeb2c7ddf0d302fba4bfc6e97eac9624-libbase-1.1.6.zip:src \
+		f94d9870737518e3b597f9265f4e9803-libserializer-1.1.6.zip:src
 
 # LibreOffice works only with Java 6 -- which may not be the default
 # if you specify the JAVA_VENDOR variable
 CATEGORIES+=	java
 USE_JAVA=	yes
+JAVA_BUILD=	yes
 JAVA_VERSION=	1.6
 BUILD_DEPENDS+=	ant:${PORTSDIR}/devel/apache-ant \
-		${JAVAJARDIR}/junit.jar:${PORTSDIR}/java/junit \
-		${JAVAJARDIR}/xercesImpl.jar:${PORTSDIR}/textproc/xerces-j \
-		${JAVAJARDIR}/xalan.jar:${PORTSDIR}/textproc/xalan-j \
-		${JAVAJARDIR}/bsh.jar:${PORTSDIR}/lang/bsh
-RUN_DEPENDS+=	${JAVAJARDIR}/bsh.jar:${PORTSDIR}/lang/bsh
+		${JAVAJARDIR}/junit.jar:${PORTSDIR}/java/junit
 
-CONFIGURE_ARGS+=	--with-ant-home=${LOCALBASE}/share/java/apache-ant/ \
-			--with-junit=${JAVAJARDIR}/junit.jar \
+CONFIGURE_ARGS+=	--enable-ext-report-builder \
+			--enable-ext-scripting-beanshell \
+			--enable-ext-scripting-javascript \
+			--enable-ext-wiki-publisher \
+			--with-ant-home=${LOCALBASE}/share/java/apache-ant/ \
 			--with-jdk-home=${JAVA_HOME} \
-			--with-system-beanshell \
-			--with-beanshell-jar=${JAVAJARDIR}/bsh.jar \
-			--with-system-xerces \
-			--with-xerces-jar=${JAVAJARDIR}/xercesImpl.jar \
-			--with-system-xml-apis \
-			--with-xml-apis-jar=/${JAVAJARDIR}/xml-apis.jar \
-			--with-system-xalan \
-			--with-xalan-jar=${JAVAJARDIR}/xalan.jar \
-			--with-serializer-jar=${JAVAJARDIR}/serializer.jar
+			--with-junit=${JAVAJARDIR}/junit.jar
+
 .else
-BUILD_DEPENDS+=	xsltproc:${PORTSDIR}/textproc/libxslt
 CONFIGURE_ARGS+=	--without-java
 .endif
 
@@ -441,24 +440,28 @@ do-install:
 post-install:
 	@${RM} -f ${PLISTF} ${PLISTD}
 	# It seems that the empty directories are necessary for libreoffice keep them for now
-	@cd ${LODESTDIR}/${PREFIX} && ${FIND} -d lib/libreoffice -type d -empty \
-		-exec ${ECHO_CMD} "@exec ${MKDIR} %D/{}" \; >> ${PLISTD}
+	@cd ${LODESTDIR}/${PREFIX} && ${FIND} -d lib/libreoffice -type d \
+	    -empty -exec ${ECHO_CMD} "@exec ${MKDIR} %D/{}" \; >> ${PLISTD}
+
+	@cd ${LODESTDIR}/${PREFIX} && ${FIND} -H -s bin lib \
+	    \( -type f -o -type l \) -print >> ${PLISTF}
+	@cd ${LODESTDIR}/${PREFIX} && ${FIND} -d lib/libreoffice -type d \
+	    -exec ${ECHO_CMD} "@dirrm {}" \; >> ${PLISTD}
 
-	@cd ${LODESTDIR}/${PREFIX} && ${FIND} -H -s lib \( -type f -o -type l \) -print >> ${PLISTF}
-	@cd ${LODESTDIR}/${PREFIX} && ${FIND} -d lib/libreoffice -type d -exec ${ECHO_CMD} "@dirrm {}" \; >> ${PLISTD}
+	@${ECHO_CMD} etc/bash_completion.d/libreoffice.sh >> ${PLISTF}
+	@${ECHO_CMD} "@dirrmtry etc/bash_completion.d" >> ${PLISTD}
 
 .for subdir in applications icons mime mimelnk
-	@cd ${LODESTDIR}/${PREFIX} && ${FIND}  -H -s share/${subdir} \( -type f -o -type l \) -print >> ${PLISTF}
-	@cd ${LODESTDIR}/${PREFIX}/ && ${FIND} -d share/${subdir} -type d \
-		-exec ${ECHO_CMD} "@unexec ${RMDIR} %D/{} 2>/dev/null || ${TRUE}" \; >> ${PLISTD}
+	@cd ${LODESTDIR}/${PREFIX} && ${FIND} -H -s share/${subdir} \
+	    \( -type f -o -type l \) -print >> ${PLISTF}
+	@cd ${LODESTDIR}/${PREFIX} && ${FIND} -d share/${subdir} -type d \
+	    -exec ${ECHO_CMD} "@dirrmtry {}" \; >> ${PLISTD}
 .endfor
 # do not add the subdir itself as dirrmtry
 .for subdir in application-registry mime-info
-	@cd ${LODESTDIR}/${PREFIX} && ${FIND} -H -s share/${subdir} \( -type f -o -type l \) -print >> ${PLISTF}
-	@cd ${LODESTDIR}/${PREFIX}/ && ${FIND} -d share/${subdir}/* -type d \
-		-exec ${ECHO_CMD} "@unexec ${RMDIR} %D/{} 2>/dev/null || ${TRUE}" \; >> ${PLISTD}
+	@cd ${LODESTDIR}/${PREFIX} && ${FIND} -H -s share/${subdir} \
+	    \( -type f -o -type l \) -print >> ${PLISTF}
 .endfor
-	@cd ${LODESTDIR}/${PREFIX} && ${FIND} -H -s bin \( -type f -o -type l \) -print >> ${PLISTF}
 
 .if ${PORT_OPTIONS:MGTK2} || ${PORT_OPTIONS:MGNOME} || ${PORT_OPTIONS:MGTK3}
 	@${ECHO_CMD} "@exec ${LOCALBASE}/bin/update-desktop-database >/dev/null || ${TRUE}" >> ${TMPPLIST}
@@ -466,28 +469,31 @@ post-install:
 .endif
 
 .if ${PORT_OPTIONS:MSDK}
-.for subdir in include share/idl share/libreoffice share/doc
-	@cd ${LODESTDIR}/${PREFIX} && ${FIND} -H -s ${subdir} \( -type f -o -type l \) -print >> ${PLISTF}
-	@cd ${LODESTDIR}/${PREFIX} && ${FIND} -d ${subdir} -type d -exec echo "@dirrm {}" \; >> ${PLISTD}
+.for subdir in include share share/doc share/idl
+	@cd ${LODESTDIR}/${PREFIX} && ${FIND} -H -s ${subdir}/libreoffice \
+	    \( -type f -o -type l \) -print >> ${PLISTF}
+	@cd ${LODESTDIR}/${PREFIX} && ${FIND} -d ${subdir}/libreoffice \
+	    -type d -exec echo "@dirrm {}" \; >> ${PLISTD}
 .endfor
+	@${ECHO_CMD} "@dirrmtry share/idl" >> ${PLISTD}
 .endif
 
-	@${SORT} ${PLISTF} >> ${TMPPLIST}
-	@${GREP} ^@exec ${PLISTD} | ${SORT} >> ${TMPPLIST}
-	@${GREP} -v ^@exec ${PLISTD} | ${SORT} -r >> ${TMPPLIST}
-
-.if ${PORT_OPTIONS:MSDK}
-.for subdir in include share/idl share/libreoffice share/doc
-	@${ECHO_CMD} "@unexec ${RMDIR} %D/${subdir} 2>/dev/null || ${TRUE}" >> ${TMPPLIST}
-.endfor
-.endif
+	@${SORT} -u ${PLISTF} >> ${TMPPLIST}
+	@${GREP} '^@exec ' ${PLISTD} | ${SORT} -u >> ${TMPPLIST}
+	@${GREP} '^@dirrm ' ${PLISTD} | ${SORT} -ru >> ${TMPPLIST}
+	@${GREP} '^@dirrmtry ' ${PLISTD} | ${SORT} -ru >> ${TMPPLIST}
 
 	@cd ${LODESTDIR}/${PREFIX} ; ${PAX} -rw . ${PREFIX}
+	@${MKDIR} ${PREFIX}/etc/bash_completion.d
+	@${INSTALL_SCRIPT} ${LODESTDIR}/etc/bash_completion.d/libreoffice.sh \
+	    ${PREFIX}/etc/bash_completion.d
+
 .if ${PORT_OPTIONS:MGTK2} || ${PORT_OPTIONS:MGNOME}
 	@${LOCALBASE}/bin/update-desktop-database 2>/dev/null || ${TRUE}
 .endif
 
 post-clean:
 	@${RM} -f ${TMPDIR}/lobuild
+	@${RM} -fr ${TMPDIR}/LibreOffice ${TMPDIR}/LibreOffice_SDK
 
 .include <bsd.port.post.mk>

Modified: head/editors/libreoffice/distinfo
==============================================================================
--- head/editors/libreoffice/distinfo	Fri Feb  8 00:17:38 2013	(r311892)
+++ head/editors/libreoffice/distinfo	Fri Feb  8 00:50:00 2013	(r311893)
@@ -2,47 +2,53 @@ SHA256 (libreoffice/libreoffice-core-3.6
 SIZE (libreoffice/libreoffice-core-3.6.5.2.tar.xz) = 109108684
 SHA256 (libreoffice/libreoffice-help-3.6.5.2.tar.xz) = e7fe01ba83fc33d39f57aed6cc6d383095cb3c669db7d1b56b37b72eac3f4f8c
 SIZE (libreoffice/libreoffice-help-3.6.5.2.tar.xz) = 1912108
-SHA256 (libreoffice/bd30e9cf5523cdfc019b94f5e1d7fd19-cppunit-1.12.1.tar.gz) = ac28a04c8e6c9217d910b0ae7122832d28d9917fa668bcc9e0b8b09acb4ea44a
-SIZE (libreoffice/bd30e9cf5523cdfc019b94f5e1d7fd19-cppunit-1.12.1.tar.gz) = 762803
 SHA256 (libreoffice/0d2dcdfbf28d6208751b33057f5361f0-libcmis-0.2.3.tar.gz) = a4ace7c0280e5ee8d4941b33449ee10edf1515437483d55ae387cc4de2c2bea0
 SIZE (libreoffice/0d2dcdfbf28d6208751b33057f5361f0-libcmis-0.2.3.tar.gz) = 432064
-SHA256 (libreoffice/798b2ffdc8bcfe7bca2cf92b62caf685-rhino1_5R5.zip) = 1fb458d6aab06932693cc8a9b6e4e70944ee1ff052fa63606e3131df34e21753
-SIZE (libreoffice/798b2ffdc8bcfe7bca2cf92b62caf685-rhino1_5R5.zip) = 1521926
 SHA256 (libreoffice/17410483b5b5f267aa18b7e00b65e6e0-hsqldb_1_8_0.zip) = d30b13f4ba2e3b6a2d4f020c0dee0a9fb9fc6fbcc2d561f36b78da4bf3802370
 SIZE (libreoffice/17410483b5b5f267aa18b7e00b65e6e0-hsqldb_1_8_0.zip) = 3519470
 SHA256 (libreoffice/2a177023f9ea8ec8bd00837605c5df1b-jakarta-tomcat-5.0.30-src.tar.gz) = 556921bf0de5c508985c95eef77b73a4388a7da1b7e703060c79c58385483bf4
 SIZE (libreoffice/2a177023f9ea8ec8bd00837605c5df1b-jakarta-tomcat-5.0.30-src.tar.gz) = 3568559
-SHA256 (libreoffice/48d8169acc35f97e05d8dcdfd45be7f2-lucene-2.3.2.tar.gz) = 5a0cd4a6e33a24ee11d3bfde50e9bbcfc237afa5d20713ffd994f90bdde193c3
-SIZE (libreoffice/48d8169acc35f97e05d8dcdfd45be7f2-lucene-2.3.2.tar.gz) = 4603398
-SHA256 (libreoffice/a7983f859eafb2677d7ff386a023bc40-xsltml_2.1.2.zip) = 75823776fb51a9c526af904f1503a7afaaab900fba83eda64f8a41073724c870
-SIZE (libreoffice/a7983f859eafb2677d7ff386a023bc40-xsltml_2.1.2.zip) = 23150
-SHA256 (libreoffice/ada24d37d8d638b3d8a9985e80bc2978-source-9.0.0.7-bj.zip) = 64f8d737c32756713d60c22efe3978a59fa167cdeaa2d3d0a1646b1f2232b825
-SIZE (libreoffice/ada24d37d8d638b3d8a9985e80bc2978-source-9.0.0.7-bj.zip) = 2732347
-SHA256 (libreoffice/eeb2c7ddf0d302fba4bfc6e97eac9624-libbase-1.1.6.zip) = 75c80359c9ce343c20aab8a36a45cb3b9ee7c61cf92c13ae45399d854423a9ba
-SIZE (libreoffice/eeb2c7ddf0d302fba4bfc6e97eac9624-libbase-1.1.6.zip) = 427800
+SHA256 (libreoffice/2ae988b339daec234019a7066f96733e-commons-lang-2.3-src.tar.gz) = 9775f8db678e15e9a482bbbf00b35c38da8bfc51c6dafa4531c6dd16225602fd
+SIZE (libreoffice/2ae988b339daec234019a7066f96733e-commons-lang-2.3-src.tar.gz) = 474681
+SHA256 (libreoffice/2c9b0f83ed5890af02c0df1c1776f39b-commons-httpclient-3.1-src.tar.gz) = f9a496d3418b0e15894fb351652cd4fa5ca434ebfc3ce3bb8da40defd8b097f2
+SIZE (libreoffice/2c9b0f83ed5890af02c0df1c1776f39b-commons-httpclient-3.1-src.tar.gz) = 1882664
+SHA256 (libreoffice/3404ab6b1792ae5f16bbd603bd1e1d03-libformula-1.1.7.zip) = 5826d1551bf599b85742545f6e01a0079b93c1b2c8434bf409eddb3a29e4726b
+SIZE (libreoffice/3404ab6b1792ae5f16bbd603bd1e1d03-libformula-1.1.7.zip) = 1180582
 SHA256 (libreoffice/35c94d2df8893241173de1d16b6034c0-swingExSrc.zip) = 64585ac36a81291a58269ec5347e7e3e2e8596dbacb9221015c208191333c6e1
 SIZE (libreoffice/35c94d2df8893241173de1d16b6034c0-swingExSrc.zip) = 9796
-SHA256 (libreoffice/39bb3fcea1514f1369fcfc87542390fd-sacjava-1.3.zip) = 085f2112c51fa8c1783fac12fbd452650596415121348393bb51f0f7e85a9045
-SIZE (libreoffice/39bb3fcea1514f1369fcfc87542390fd-sacjava-1.3.zip) = 153157
-SHA256 (libreoffice/97b2d4dba862397f446b217e2b623e71-libloader-1.1.6.zip) = 3d853b19b1d94a6efa69e7af90f7f2b09ecf302913bee3da796c15ecfebcfac8
-SIZE (libreoffice/97b2d4dba862397f446b217e2b623e71-libloader-1.1.6.zip) = 2938721
-SHA256 (libreoffice/d8bd5eed178db6e2b18eeed243f85aa8-flute-1.1.6.zip) = 1b5b24f7bc543c0362b667692f78db8bab4ed6dafc6172f104d0bd3757d8a133
-SIZE (libreoffice/d8bd5eed178db6e2b18eeed243f85aa8-flute-1.1.6.zip) = 207563
 SHA256 (libreoffice/3c219630e4302863a9a83d0efde889db-commons-logging-1.1.1-src.tar.gz) = 168564a57411907432c7b191f63fb581439fed57732038c5308631afe05063ac
 SIZE (libreoffice/3c219630e4302863a9a83d0efde889db-commons-logging-1.1.1-src.tar.gz) = 189448
-SHA256 (libreoffice/f94d9870737518e3b597f9265f4e9803-libserializer-1.1.6.zip) = 05640a1f6805b2b2d7e2cb9c50db9a5cb084e3c52ab1a71ce015239b4a1d4343
-SIZE (libreoffice/f94d9870737518e3b597f9265f4e9803-libserializer-1.1.6.zip) = 211919
-SHA256 (libreoffice/3404ab6b1792ae5f16bbd603bd1e1d03-libformula-1.1.7.zip) = 5826d1551bf599b85742545f6e01a0079b93c1b2c8434bf409eddb3a29e4726b
-SIZE (libreoffice/3404ab6b1792ae5f16bbd603bd1e1d03-libformula-1.1.7.zip) = 1180582
 SHA256 (libreoffice/3bdf40c0d199af31923e900d082ca2dd-libfonts-1.1.6.zip) = e0531091787c0f16c83965fdcbc49162c059d7f0c64669e7f119699321549743
 SIZE (libreoffice/3bdf40c0d199af31923e900d082ca2dd-libfonts-1.1.6.zip) = 5750610
-SHA256 (libreoffice/ace6ab49184e329db254e454a010f56d-libxml-1.1.7.zip) = 7d2797fe9f79a77009721e3f14fa4a1dec17a6d706bdc93f85f1f01d124fab66
-SIZE (libreoffice/ace6ab49184e329db254e454a010f56d-libxml-1.1.7.zip) = 2929311
+SHA256 (libreoffice/39bb3fcea1514f1369fcfc87542390fd-sacjava-1.3.zip) = 085f2112c51fa8c1783fac12fbd452650596415121348393bb51f0f7e85a9045
+SIZE (libreoffice/39bb3fcea1514f1369fcfc87542390fd-sacjava-1.3.zip) = 153157
+SHA256 (libreoffice/798b2ffdc8bcfe7bca2cf92b62caf685-rhino1_5R5.zip) = 1fb458d6aab06932693cc8a9b6e4e70944ee1ff052fa63606e3131df34e21753
+SIZE (libreoffice/798b2ffdc8bcfe7bca2cf92b62caf685-rhino1_5R5.zip) = 1521926
 SHA256 (libreoffice/8ce2fcd72becf06c41f7201d15373ed9-librepository-1.1.6.zip) = abe2c57ac12ba45d83563b02e240fa95d973376de2f720aab8fe11f2e621c095
 SIZE (libreoffice/8ce2fcd72becf06c41f7201d15373ed9-librepository-1.1.6.zip) = 762419
-SHA256 (libreoffice/db60e4fde8dd6d6807523deb71ee34dc-liblayout-0.2.10.zip) = e1fb87f3f7b980d33414473279615c4644027e013012d156efa538bc2b031772
-SIZE (libreoffice/db60e4fde8dd6d6807523deb71ee34dc-liblayout-0.2.10.zip) = 1396007
+SHA256 (libreoffice/97b2d4dba862397f446b217e2b623e71-libloader-1.1.6.zip) = 3d853b19b1d94a6efa69e7af90f7f2b09ecf302913bee3da796c15ecfebcfac8
+SIZE (libreoffice/97b2d4dba862397f446b217e2b623e71-libloader-1.1.6.zip) = 2938721
+SHA256 (libreoffice/a7983f859eafb2677d7ff386a023bc40-xsltml_2.1.2.zip) = 75823776fb51a9c526af904f1503a7afaaab900fba83eda64f8a41073724c870
+SIZE (libreoffice/a7983f859eafb2677d7ff386a023bc40-xsltml_2.1.2.zip) = 23150
+SHA256 (libreoffice/ace6ab49184e329db254e454a010f56d-libxml-1.1.7.zip) = 7d2797fe9f79a77009721e3f14fa4a1dec17a6d706bdc93f85f1f01d124fab66
+SIZE (libreoffice/ace6ab49184e329db254e454a010f56d-libxml-1.1.7.zip) = 2929311
+SHA256 (libreoffice/ada24d37d8d638b3d8a9985e80bc2978-source-9.0.0.7-bj.zip) = 64f8d737c32756713d60c22efe3978a59fa167cdeaa2d3d0a1646b1f2232b825
+SIZE (libreoffice/ada24d37d8d638b3d8a9985e80bc2978-source-9.0.0.7-bj.zip) = 2732347
+SHA256 (libreoffice/af3c3acf618de6108d65fcdc92b492e1-commons-codec-1.3-src.tar.gz) = 12effcf3fea025bd34edbfec60a6216ca453fb27e781d8e5783caf75fd33d90e
+SIZE (libreoffice/af3c3acf618de6108d65fcdc92b492e1-commons-codec-1.3-src.tar.gz) = 80427
 SHA256 (libreoffice/ba2930200c9f019c2d93a8c88c651a0f-flow-engine-0.9.4.zip) = 233f66e8d25c5dd971716d4200203a612a407649686ef3b52075d04b4c9df0dd
 SIZE (libreoffice/ba2930200c9f019c2d93a8c88c651a0f-flow-engine-0.9.4.zip) = 743031
+SHA256 (libreoffice/d8bd5eed178db6e2b18eeed243f85aa8-flute-1.1.6.zip) = 1b5b24f7bc543c0362b667692f78db8bab4ed6dafc6172f104d0bd3757d8a133
+SIZE (libreoffice/d8bd5eed178db6e2b18eeed243f85aa8-flute-1.1.6.zip) = 207563
+SHA256 (libreoffice/db60e4fde8dd6d6807523deb71ee34dc-liblayout-0.2.10.zip) = e1fb87f3f7b980d33414473279615c4644027e013012d156efa538bc2b031772
+SIZE (libreoffice/db60e4fde8dd6d6807523deb71ee34dc-liblayout-0.2.10.zip) = 1396007
+SHA256 (libreoffice/ea570af93c284aa9e5621cd563f54f4d-bsh-2.0b1-src.tar.gz) = 648f10fb764d000d6a68b2d4e008117900e853c197a024d1f91dbba9b91012ca
+SIZE (libreoffice/ea570af93c284aa9e5621cd563f54f4d-bsh-2.0b1-src.tar.gz) = 726942
+SHA256 (libreoffice/eeb2c7ddf0d302fba4bfc6e97eac9624-libbase-1.1.6.zip) = 75c80359c9ce343c20aab8a36a45cb3b9ee7c61cf92c13ae45399d854423a9ba
+SIZE (libreoffice/eeb2c7ddf0d302fba4bfc6e97eac9624-libbase-1.1.6.zip) = 427800
+SHA256 (libreoffice/f94d9870737518e3b597f9265f4e9803-libserializer-1.1.6.zip) = 05640a1f6805b2b2d7e2cb9c50db9a5cb084e3c52ab1a71ce015239b4a1d4343
+SIZE (libreoffice/f94d9870737518e3b597f9265f4e9803-libserializer-1.1.6.zip) = 211919
 SHA256 (libreoffice/185d60944ea767075d27247c3162b3bc-unowinreg.dll) = eafde646a7dbe46d20c291685b0beac2382174d78d66ee990e229a1bf6e6cec6
 SIZE (libreoffice/185d60944ea767075d27247c3162b3bc-unowinreg.dll) = 12288
+SHA256 (libreoffice/bd30e9cf5523cdfc019b94f5e1d7fd19-cppunit-1.12.1.tar.gz) = ac28a04c8e6c9217d910b0ae7122832d28d9917fa668bcc9e0b8b09acb4ea44a
+SIZE (libreoffice/bd30e9cf5523cdfc019b94f5e1d7fd19-cppunit-1.12.1.tar.gz) = 762803

Modified: head/editors/libreoffice/files/patch-configure.in
==============================================================================
--- head/editors/libreoffice/files/patch-configure.in	Fri Feb  8 00:17:38 2013	(r311892)
+++ head/editors/libreoffice/files/patch-configure.in	Fri Feb  8 00:50:00 2013	(r311893)
@@ -1,5 +1,5 @@
---- ./configure.in.orig	2013-02-01 13:13:08.000000000 -0500
-+++ ./configure.in	2013-02-01 13:39:44.000000000 -0500
+--- ./configure.in.orig	2013-02-06 19:18:52.000000000 -0500
++++ ./configure.in	2013-02-06 19:22:43.000000000 -0500
 @@ -2115,7 +2115,7 @@
  AC_SUBST(GNUTAR)
  
@@ -14,11 +14,36 @@
          OUTPATH=unxfbsdi
          ;;
 -    x86_64)
-+    amd64)
++    amd64|x86_64)
          CPU=X
          CPUNAME=X86_64
          RTL_ARCH=X86_64
-@@ -6719,51 +6719,11 @@
+@@ -5561,21 +5561,13 @@
+             JAVA_ARCH="i386"
+             JAVA_TOOLKIT="client"
+             ;;
+-        x86_64)
+-            if test "`echo $JAVA_HOME | sed -e 's,.*/,,'`" = "linux"; then
+-                JAVA_ARCH="i386"
+-                JAVA_TOOLKIT="client"
+-            else
+-                JAVA_ARCH="amd64"
+-                JAVA_TOOLKIT="server"
+-            fi
++        amd64|x86_64)
++            JAVA_ARCH="amd64"
++            JAVA_TOOLKIT="server"
+             ;;
+         esac
+         SOLARINC="$SOLARINC -I$JAVA_HOME/include"
+         SOLARINC="$SOLARINC -I$JAVA_HOME/include/freebsd"
+-        SOLARINC="$SOLARINC -I$JAVA_HOME/include/bsd"
+-        SOLARINC="$SOLARINC -I$JAVA_HOME/include/linux"
+-        SOLARINC="$SOLARINC -I$JAVA_HOME/include/native_threads/include"
+         ;;
+ 
+     k*bsd*-gnu*)
+@@ -6719,51 +6711,11 @@
  dnl ===================================================================
  AC_MSG_CHECKING([which db to use])
  if test "$with_system_db" = "yes"; then
@@ -74,7 +99,7 @@
      SCPDEFS="$SCPDEFS -DSYSTEM_DB"
      libo_MINGW_CHECK_DLL([DB], [libdb])
  elif test $_os != iOS -a $_os != Android; then
-@@ -7347,9 +7307,13 @@
+@@ -7347,9 +7299,13 @@
      AC_MSG_CHECKING([which hash container mdds shall use])
      if test "x$HAVE_CXX0X" = "xTRUE"; then
          MDDS_CPPFLAGS="-std=gnu++0x"
@@ -89,7 +114,7 @@
          AC_MSG_RESULT([boost::unordered_map])
      fi
  
-@@ -7911,12 +7875,12 @@
+@@ -7911,12 +7867,12 @@
          if test -z "$SYSTEM_GENCMN"; then
              AC_MSG_ERROR([\'gencmn\' not found in \$PATH, install the icu development tool \'gencmn\'])
          fi
@@ -104,7 +129,7 @@
              ICU_RECLASSIFIED_PREPEND_SET_EMPTY="YES"
          else
              ICU_RECLASSIFIED_PREPEND_SET_EMPTY="NO"
-@@ -7956,7 +7920,7 @@
+@@ -7956,7 +7912,7 @@
  dnl ===================================================================
  
  AC_MSG_CHECKING([whether to enable graphite support])
@@ -113,7 +138,7 @@
      AC_MSG_RESULT([yes])
      ENABLE_GRAPHITE="TRUE"
      AC_MSG_CHECKING([which graphite to use])
-@@ -8186,8 +8150,8 @@
+@@ -8186,8 +8142,8 @@
      AC_MSG_RESULT([external])
      # Mac OS builds should get out without extra stuff is the Mac porters'
      # wish. And pkg-config is although Xcode ships a .pc for openssl
@@ -124,7 +149,7 @@
          OPENSSL_CFLAGS=
          OPENSSL_LIBS="-lssl -lcrypto"
      else
-@@ -9842,10 +9806,10 @@
+@@ -9842,10 +9798,10 @@
  
      dnl Check for Meta Object Compiler
  

Added: head/editors/libreoffice/files/patch-odk__pack__gendocu__makefile.mk
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/editors/libreoffice/files/patch-odk__pack__gendocu__makefile.mk	Fri Feb  8 00:50:00 2013	(r311893)
@@ -0,0 +1,11 @@
+--- ./odk/pack/gendocu/makefile.mk.orig	2013-02-06 20:11:03.000000000 -0500
++++ ./odk/pack/gendocu/makefile.mk	2013-02-07 13:26:20.000000000 -0500
+@@ -106,7 +106,7 @@
+ $(JAVA_SRC_FILES) : $(SOLARCOMMONPCKDIR)$/$$(@:f)
+     -$(MKDIRHIER) $(@:d)        
+     $(MY_COPY) $< $@
+-    cd $(JAVA_SRC_DIR) && unzip -quo $(@:f)
++    cd $(JAVA_SRC_DIR) && unzip -qu $(@:f)
+ 
+ #$(JAVA_SRC_DIR)$/com$/sun$/star$/beans$/%.java : $(PRJ)$/source$/bean$/com$/sun$/star$/beans$/%.java 
+ #	-$(MKDIRHIER) $(@:d)        
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 Jung-uk Kim freebsd_committer 2013-02-08 00:55:13 UTC
State Changed
From-To: open->closed

Java support should be fixed in r311893.